angular.module("noteWrangler")
  .factory('Gravatar', function GravatarFactory(user) {
    const avatarSize = 80; // px.
    const avatarUrlBase = "http://gravatar.com/avatar/";
    const generate = function (email) {
      const hash = CryptoJS.MD5(user.email);
      const avatarUrl = avatarUrlBase + hash + "?size=" + avatarSize.toString();
      return avatarUrl;
    };
    // Normal format:
    // return { generate: generate };
    // Then call Gravatar.generate(email)

    // Simplified format for services with a single method:
    return generate;
    // Then call Gravatar(email).
  });
